Loading...
Searching...
No Matches
geo_build_zero_dim.cc File Reference

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_zero_dimension(M)
#define | _RHEOLEF_instanciation(T, M)

## Functions

| _RHEOLEF_zero_dimension (sequential) _RHEOLEF_zero_dimension(distributed) _RHEOLEF_instanciation(Float

## Macro Definition Documentation

## _RHEOLEF_zero_dimension

#define _RHEOLEF_zero_dimension | ( |  | M | ) |

Value:
template <class T> \
geo_basic<T,M>::geo_basic ( \
details::zero_dimension, \
const communicator& comm) \
: base (0) \
{ \
bool prev_verbose = iorheo::getverbose(std::clog); \
std::clog << noverbose; \
base::operator= (geo_load<T,M>(zero_full_name())); \
if (prev_verbose) std::clog << verbose; \
}
communicator
see the communicator page for the full documentation

Definition at line 53 of file geo_build_zero_dim.cc.

## _RHEOLEF_instanciation

#define _RHEOLEF_instanciation | ( |  | T,
|  |  | M
| ) |  |

Value:
template \
geo_basic<T,M>::geo_basic ( \
details::zero_dimension, \
const communicator& comm);